
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

(akpm: this patch relies on other stuff in -mm, please don't apply)

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Cc: Richard Henderson <rth@twiddle.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/alpha/kernel/osf_sys.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/alpha/kernel/osf_sys.c~alpha-fix-up-schedule_timeout-usage arch/alpha/kernel/osf_sys.c
--- 25/arch/alpha/kernel/osf_sys.c~alpha-fix-up-schedule_timeout-usage	Wed Aug 17 17:00:26 2005
+++ 25-akpm/arch/alpha/kernel/osf_sys.c	Wed Aug 17 17:00:26 2005
@@ -1154,8 +1154,7 @@ osf_usleep_thread(struct timeval32 __use
 
 	ticks = timeval_to_jiffies(&tmp);
 
-	current->state = TASK_INTERRUPTIBLE;
-	ticks = schedule_timeout(ticks);
+	ticks = schedule_timeout_interruptible(ticks);
 
 	if (remain) {
 		jiffies_to_timeval(ticks, &tmp);
_
